AI Music API
HomeGet API key
HomeGet API key
  1. sonic
  • Introduction
  • Credits Usage Guide
  • AI Music API FAQ & Troubleshooting
  • Special Scenarios
  • Error handling
  • Webhook Integration Guide
  • sonic
    • Sonic Instructions
    • create / extend / cover music
      POST
    • upload and extend music
      POST
    • upload and cover music
      POST
    • create persona
      POST
    • sample
      POST
    • mashup
      POST
    • get BPM
      POST
    • get VOX
      POST
    • get wav
      POST
    • get midi
      POST
    • get lyrics timeline
      POST
    • upsample tags
      POST
    • concat music
      POST
    • stems basic
      POST
    • stems full
      POST
    • remaster
      POST
    • replace section
      POST
    • add vocal
      POST
    • add instrumental
      POST
    • upload music
      POST
    • create voice
      POST
    • get music
      GET
  • riffusion(Deprecated)
    • Riffusion instructions
    • create music (with lyrics)
    • create music (with description)
    • cover music
    • extend music
    • replace music section
    • swap music sound
    • swap music vocals
    • upload
    • get music
  • producer
    • Producer Instructions
    • Complete Request Example
    • create music
    • upload
    • download
    • get task / poll result
  • nuro
    • Nuro Instruction
    • Error handling
    • create vocal music
    • create instrument music
    • get music
  • lyrics generation
    • Make Lyrics
  • get-credits
    GET
  • Schemas
    • 记录不存在
    • ExtendMusicRequest
    • ReplaceMusicRequest
    • 参数不正确
    • CreateTaskAccepted
    • ErrorResponse
  1. sonic

create persona

POST
https://api.aimusicapi.ai/api/v1/sonic/persona
Note: Persona creation is available. For reliable results, build a persona from a recently generated song — very old source clips may no longer be usable upstream. If you get an error that the source is no longer available, regenerate the song and create the persona from that fresh clip. You're only charged when a persona is created successfully.
Create a virtual singer (persona) from an existing song. The persona captures the vocal characteristics and can be used permanently to generate new songs with the same voice.
Credits cost: 1

Usage#

After creating a persona, use the returned persona_id with the create music with persona endpoint to generate new songs using this voice.

Advanced: Using VOX Audio#

For more precise voice extraction, you can first use the get VOX endpoint to extract vocals, then provide the vox_audio_id along with the time range to create a persona from a specific vocal segment.
Important: When using vox_audio_id, the vocal_start_s and vocal_end_s values must match exactly with the values used when creating the VOX audio. For example, if you created the VOX with vocal_start_s: 10, vocal_end_s: 40, you must use the same values here.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Examples
{
    "name": "My Singer Voice",
    "clip_id": "042e3c92-057d-4b43-800f-b7e4daf43521"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.aimusicapi.ai/api/v1/sonic/persona' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "My Singer Voice",
    "clip_id": "042e3c92-057d-4b43-800f-b7e4daf43521"
}'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "code": 200,
    "persona_id": "c08806c1-34fa-4290-a78d-0c623eb1dd1c",
    "message": "success"
}
Modified at 2026-07-21 12:24:59
Previous
upload and cover music
Next
sample
Built with